Create Export
curl --request POST \
--url https://api.withflex.com/v1/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"export": {
"description": "Premium SPF 50 mineral sunscreen",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"type": "product"
}
}
'import requests
url = "https://api.withflex.com/v1/exports"
payload = { "export": {
"description": "Premium SPF 50 mineral sunscreen",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"type": "product"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
export: {
description: 'Premium SPF 50 mineral sunscreen',
metadata: {order_id: '8842', channel: 'shopify'},
type: 'product'
}
})
};
fetch('https://api.withflex.com/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"export": {
"export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"type": "product",
"status": "created",
"created_at": "2026-06-15T14:30:00Z",
"started_at": "2026-06-15T14:30:00Z",
"completed_at": "2026-06-15T14:30:00Z",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Create Export
Creates an export and starts generating the requested CSV file asynchronously. The export is returned with status created and is then processed in the background; poll it until its status is completed before requesting a download URL.
POST
/
v1
/
exports
Create Export
Authorizations
Use a Bearer token to access this API.
Body
application/json
An envelope wrapping a single export object.
An envelope wrapping a single export object.
The Export object.
Show child attributes
Show child attributes
Example:
{ "description": "Premium SPF 50 mineral sunscreen", "filters": { "payment": {} }, "metadata": { "order_id": "8842", "channel": "shopify" }, "type": "product" }
Response
An envelope wrapping a single export object.
An envelope wrapping a single export object.
The Export object.
Show child attributes
Show child attributes
Example:
{ "export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "description": "Premium SPF 50 mineral sunscreen", "type": "product", "status": "created", "created_at": "2026-06-15T14:30:00Z", "started_at": "2026-06-15T14:30:00Z", "completed_at": "2026-06-15T14:30:00Z", "metadata": { "order_id": "8842", "channel": "shopify" }, "filters": { "payment": {} }, "test_mode": false }
⌘I